-- ZADATAK 2

-- a) Ubacite jedan novi film koji je žanra komedija.
insert into Film (IDFilm, TipMedija, Naziv, Trajanje, Reziser, GlavniGlumac, SporedniGlumac, Zanar, KratkiOpis)
values(1, 'DVD', 'Tko pjeva zlo ne misli', 85, 'Krešimir Golik', 'Franjo Majetić', 'Mirjana Bohanec', 'Komedija', 'prema priči "Iz dnevnika malog Perice"')

select * from film

-- b) Ubacite jedan novi film koji je snimljen na CD.
insert into Film (IDFilm, TipMedija, Naziv, Trajanje, Reziser, GlavniGlumac, SporedniGlumac, Zanar, KratkiOpis)
values(1, 'CD', 'Tko pjeva zlo ne misli', 85, 'Krešimir Golik', 'Franjo Majetić', 'Mirjana Bohanec', 'Komedija', 'prema priči "Iz dnevnika malog Perice"')

select * from film

-- c) Ubacite jednog novog člana.
insert into Clan (IDClana, ImePrezime, Adresa, Telefon)
values (1, 'Pero Perić', 'Ilica 1', '012223333')

select * from Clan

-- d) Promijenite Tip medija za film Matrix s DVD na Blue-Ray.
update Film
set TipMedija='Blue-Ray'
where naziv='Matrix'

select * from Film

-- e) Promijenite članu Pero Perić adresu u Unska 26 i telefon 084-123123.
update Clan
set Adresa='Unska 26', Telefon='084-123123'
where ImePrezime='Pero Perić'

select * from Clan

-- f) Obrišite film Matrix Reloaded.
delete from Film
where Naziv='Matrix Reloaded'

select * from Film

-- g) Obrišite člana Ana Milić.
delete Clan
where ImePrezime='Ana Milić'

select * from clan where ImePrezime='Ana Milić'	-- IDClan=2
select * from posudba where ClanID=2

delete Posudba
WHERE clanid=2

delete Clan
where ImePrezime='Ana Milić'

select * from clan

-- h) Ispišite imena svih članova.
select ImePrezime
from Clan

-- i) Ispišite sve filmove koji su snimljeni na DVD.
select *
from film 
where TipMedija='dvd'

-- j) Ispišite sve filmove koji traju dulje od 135 minuta.
select *
from Film
where Trajanje>135

-- k) Ispišite sve članove sortirano po adresi.
select *
from Clan
order by Adresa

-- l) Ispišite sve članove koji imaju unesen broj telefona.
select *
from Clan
where Telefon is not null

-- m) Ispišite sve filmove koji su žanra SF.
select *
from film 
where Zanar='sf'